Bug 147740 - /etc/pam.d/imap etc. fail on x86_64 platform
/etc/pam.d/imap etc. fail on x86_64 platform
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 16:07 EST by Brent Nordquist
Modified: 2008-02-05 12:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 12:11:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to /etc/pam.d/sieve (442 bytes, patch)
2005-02-10 16:09 EST, Brent Nordquist
no flags Details | Diff

  None (edit)
Description Brent Nordquist 2005-02-10 16:07:35 EST
Description of problem:
The .so paths in the /etc/pam.d/imap lmtp pop and sieve scripts (4) are missing the $ISA component, 
so they do not work on x86_64. After adding this path component (as /etc/pam.d/su etc. have) it 
works fine.

Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.10-3.fc3

How reproducible:
Always

Steps to Reproduce:
1. Try "sieveshell -a user host" which prompts twice and fails.
2. Try "imtest -a user host" ... etc.

Additional info:
See attached patch; should be applied to all 4 pam.d scripts shipped with the cyrus-imapd RPM.
Comment 1 Brent Nordquist 2005-02-10 16:09:02 EST
Created attachment 110938 [details]
Patch to /etc/pam.d/sieve

Works for /etc/pam.d/imap lmtp pop also
Comment 2 Dan Hollis 2005-04-12 15:22:54 EDT
this is a rather severe bug -- imap and pop3 are completely broken and unusable
on x86_64 until this is fixed.
Comment 3 Paul Raines 2005-05-27 16:23:19 EDT
I fixed this by removing the absolte path '/lib/security' from the
/etc/pam.d files imap, lmtp, pop, sieve, and news.

NOTE: system-config-lvm is also broken in this respect
Comment 4 Matthew Miller 2006-07-10 16:08:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-02-05 12:11:06 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.